<template>
  <div class="h-full overflow-hidden">
    <fs-crud ref="crudRef" v-bind="crudBinding" />
  </div>
</template>

<script setup lang="ts">
import { onMounted } from 'vue';
import { useFs } from '@fast-crud/fast-crud';
import createCrudOptions from './curd';

const { crudRef, crudBinding, crudExpose } = useFs({ createCrudOptions });

onMounted(() => {
  crudExpose.doRefresh();
});
</script>

<style scoped></style>
